Package waffle.jaas

## Class GroupPrincipal

- java.lang.Object
- - waffle.jaas.UserPrincipal
  - - waffle.jaas.GroupPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

    @Deprecated
    public class GroupPrincipal
    extends UserPrincipal

Deprecated.
This class is deprecated as hiding a principal inside another principal is not JAAS compliant. Use the Principals in the Subject to directly enroll groups or roles by name.
Group principal.

Author:
  rockchip[dot]tv[at]gmail[dot]com
See Also:
  Serialized Form

### Constructor Summary

Constructors
`GroupPrincipal​(String fqn)` Deprecated. Instantiates a new group principal.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `addMember​(Principal user)` Deprecated.
`String` `getName()` Deprecated. Fully qualified username.
`boolean` `isMember​(Principal user)` Deprecated.
`Enumeration<Principal>` `members()` Deprecated.
`boolean` `removeMember​(Principal user)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class waffle.jaas.UserPrincipal

`equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

### Constructor Detail

#### GroupPrincipal

    public GroupPrincipal​(String fqn)

Deprecated.
Instantiates a new group principal.

Parameters:
  `fqn` - the fqn

### Method Detail

#### getName

    public String getName()

Deprecated.
Description copied from class: `UserPrincipal`
Fully qualified username.

Specified by:
  `getName` in interface `Principal`
Overrides:
  `getName` in class `UserPrincipal`
Returns:
  the name

#### addMember

    public boolean addMember​(Principal user)

Deprecated.

#### isMember

    public boolean isMember​(Principal user)

Deprecated.

#### members

    public Enumeration<Principal> members()

Deprecated.

#### removeMember

    public boolean removeMember​(Principal user)

Deprecated.

#### toString

    public String toString()

Deprecated.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`